### Method

# Ggit BlameHunk get_orig_commit_id

#### Declaration [src]

    GgitOId*
    ggit_blame_hunk_get_orig_commit_id (
      GgitBlameHunk* blame_hunk
    )

#### Description [src]

Get the id of the commit where the hunk was found. This is usually the same the final commit id, except when #GGIT_BLAME_TRACK_COPIES_ANY_COMMIT was used.

#### Return value

Type: `GgitOId`

A `GgitOId` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.